#! /bin/bash
#------------------------------------------------------------------------------
# Description: 此脚本用于修复Ubuntu下，扩展触摸显示器，触摸扩展屏操作副屏的错误
#-------------------------------------------------------------------------------

outputErrorMsg()
{
    if [ $1 -ne 0 ]
    then
        echo $2
        exit
    fi
}

declare SCREEN_COUNTS          
declare ACTIVE_SCREEN_COUNTS   
declare SCREEN_NAME           
declare TOUCH_DEVICE_ID        

SCREEN_COUNTS=$(xrandr --listmonitors | wc -l)
outputErrorMsg $? "Get screen counts failed!"
SCREEN_COUNTS=`expr $SCREEN_COUNTS - 1`


ACTIVE_SCREEN_COUNTS=$(xrandr --listactivemonitors | wc -l)
outputErrorMsg $? "Get active screen counts failed!"
ACTIVE_SCREEN_COUNTS=`expr $ACTIVE_SCREEN_COUNTS - 1`

if [ $ACTIVE_SCREEN_COUNTS -ge 3 ] 
then
    outputErrorMsg 1 "There are currently three monitors, please reduce to two monitors！"
fi

if [ $ACTIVE_SCREEN_COUNTS -eq 1 ] 
then
    outputErrorMsg 1 "There are only one monitor!"
fi

SCREEN_NAME=($(xrandr --listactivemonitors | awk '{if(NR > 1) {print $4}}'))
outputErrorMsg $? "Get screen name failed!"

TOUCH_DEVICE_ID=$(xinput | grep -iw lanxum) 

if [ -z "$TOUCH_DEVICE_ID" ]
then
    outputErrorMsg 1 "There is no touch device!"
fi

TOUCH_DEVICE_ID=$(echo ${TOUCH_DEVICE_ID#*id=})
TOUCH_DEVICE_ID=$(echo ${TOUCH_DEVICE_ID%% *})   

if [ -z "$TOUCH_DEVICE_ID" ]
then
    outputErrorMsg 1 "Device id is empty!"
fi

xinput map-to-output $TOUCH_DEVICE_ID ${SCREEN_NAME[0]}
xrandr --listactivemonitors
echo "Setting successful!"


